
#include "note.h"

void note::loadSound(string fileName){
    tone.loadSound(fileName);
    volumeDecreaseRate = 0.95f;
    volume = 0.7f;
    bStopping = false;
    bPlaying = false;
}

void note::play(){
    tone.play();
    volume = 0.7f;
    bStopping = false;
    bPlaying = true;
}

void note::stop(){
    bStopping = true;

}

void note::update(){

    tone.setVolume(volume);

    if (bStopping){
        volume = volume * volumeDecreaseRate;
        if (volume < 0.03f){
           tone.stop();
           bPlaying = false;
        }
    }

    if (bPlaying == true) printf("volume = %f \n", volume);
}
