#include "testApp.h"


//--------------------------------------------------------------
void testApp::setup(){

    myNote[0].loadSound("tone0.wav");
    myNote[1].loadSound("tone0.wav");
    myNote[2].loadSound("tone0.wav");

    myNote[1].tone.setSpeed(0.9);
    myNote[2].tone.setSpeed(0.8);
}

//--------------------------------------------------------------
void testApp::update(){
	for (int i = 0; i < 3; i++){
        myNote[i].update();
	}
}

//--------------------------------------------------------------
void testApp::draw(){

}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){

	if (key == 'a'){
	   if (myNote[0].bPlaying == false) {
            myNote[0].play();
	   }
	} else if (key == 's'){
	   if (myNote[1].bPlaying == false) {
            myNote[1].play();
	   }
	} else if (key == 'd'){
	   if (myNote[2].bPlaying == false) {
            myNote[2].play();
	   }
	}
}

//--------------------------------------------------------------
void testApp::keyReleased  (int key){
	if (key == 'a'){
        myNote[0].stop();
	} else if (key == 's'){
        myNote[1].stop();
	} else if (key == 'd'){
        myNote[2].stop();
	}
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){

}
